Bug 232910 - net/glib-networking: fix build with GCC-based architectures
Summary: net/glib-networking: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gnome mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-02 15:56 UTC by Piotr Kubaj
Modified: 2018-11-24 08:26 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
patch (437 bytes, patch)
2018-11-02 15:56 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-11-02 15:56:02 UTC
Created attachment 198888 [details]
patch

This port needs USES=compiler:c++11-lang to build on GCC architectures.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Ting-Wei Lan 2018-11-17 07:05:46 UTC
Do you have the build log? It looks odd for a C project to require C++11.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2018-11-18 18:08:25 UTC
(In reply to Ting-Wei Lan from comment #1)

It turns out that our stanza for "c++11-lang" and "c11" do exactly the same thing.  We have generally been testing against the former.  However, I can re-test against the latter.
Comment 3 Piotr Kubaj freebsd_committer 2018-11-19 01:07:12 UTC
(In reply to Ting-Wei Lan from comment #1)
It's just like Mark explained.

USES=compiler:c11 and USES=compiler:c++11-lang do just the same, although for correctness sake you might want to put USES=compiler:c11.
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2018-11-19 02:01:41 UTC
(In reply to Piotr Kubaj from comment #3)

The latest build shows that c11 is sufficient.
Comment 5 commit-hook freebsd_committer 2018-11-24 08:26:45 UTC
A commit references this bug:

Author: linimon
Date: Sat Nov 24 08:25:55 UTC 2018
New revision: 485729
URL: https://svnweb.freebsd.org/changeset/ports/485729

Log:
  Add USES=compiler:c11 to fix build on GCC-based architectures.

  PR:		232910
  Submitted by:	Piotr Kubaj
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/net/glib-networking/Makefile